zenilib: zenilib/jni/external/freetype2/src/base/ftgloadr.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Macros | Functions
ftgloadr.c File Reference
`#include <ft2build.h>`
`#include <FT_INTERNAL_GLYPH_LOADER_H>`
`#include <FT_INTERNAL_MEMORY_H>`
`#include <FT_INTERNAL_OBJECTS_H>`

Go to the source code of this file.

## Macros

#define | FT_COMPONENT trace_gloader

## Functions

| FT_GlyphLoader_Add (FT_GlyphLoader loader)
static void | FT_GlyphLoader_Adjust_Points (FT_GlyphLoader loader)
static void | FT_GlyphLoader_Adjust_Subglyphs (FT_GlyphLoader loader)
| FT_GlyphLoader_CheckPoints (FT_GlyphLoader loader, FT_UInt n_points, FT_UInt n_contours)
| FT_GlyphLoader_CheckSubGlyphs (FT_GlyphLoader loader, FT_UInt n_subs)
| FT_GlyphLoader_CopyPoints (FT_GlyphLoader target, FT_GlyphLoader source)
| FT_GlyphLoader_CreateExtra (FT_GlyphLoader loader)
| FT_GlyphLoader_Done (FT_GlyphLoader loader)
| FT_GlyphLoader_New (FT_Memory memory, FT_GlyphLoader *aloader)
| FT_GlyphLoader_Prepare (FT_GlyphLoader loader)
| FT_GlyphLoader_Reset (FT_GlyphLoader loader)
| FT_GlyphLoader_Rewind (FT_GlyphLoader loader)

## Macro Definition Documentation

#define FT_COMPONENT trace_gloader

Definition at line 25 of file ftgloadr.c.

## Function Documentation

FT_GlyphLoader_Add | ( | FT_GlyphLoader | loader | ) |

Definition at line 323 of file ftgloadr.c.

References FT_Outline_::contours, FT_GlyphLoader_Prepare(), FT_Outline_::n_contours, FT_Outline_::n_points, FT_GlyphLoadRec_::num_subglyphs, and FT_GlyphLoadRec_::outline.

Referenced by af_loader_load_g(), cff_decoder_parse_charstrings(), load_truetype_glyph(), pfr_glyph_end(), and t1_decoder_parse_charstrings().

static void FT_GlyphLoader_Adjust_Points | ( | FT_GlyphLoader | loader | ) |

static

Definition at line 142 of file ftgloadr.c.

References FT_Outline_::contours, FT_Outline_::n_contours, FT_Outline_::n_points, FT_Outline_::points, and FT_Outline_::tags.

Referenced by FT_GlyphLoader_CheckPoints(), FT_GlyphLoader_CopyPoints(), FT_GlyphLoader_CreateExtra(), and FT_GlyphLoader_Prepare().

static void FT_GlyphLoader_Adjust_Subglyphs | ( | FT_GlyphLoader | loader | ) |

static

Definition at line 185 of file ftgloadr.c.

References FT_GlyphLoadRec_::num_subglyphs, and FT_GlyphLoadRec_::subglyphs.

Referenced by FT_GlyphLoader_CheckSubGlyphs(), and FT_GlyphLoader_Prepare().

FT_GlyphLoader_CheckPoints | ( | FT_GlyphLoader | loader,
|  | FT_UInt | n_points,
|  | FT_UInt | n_contours
| ) |  |

Definition at line 200 of file ftgloadr.c.

References FT_Outline_::contours, error, FT_ARRAY_MOVE, FT_Bool, FT_Err_Ok, FT_GlyphLoader_Adjust_Points(), FT_OUTLINE_CONTOURS_MAX, FT_OUTLINE_POINTS_MAX, FT_PAD_CEIL, FT_RENEW_ARRAY, FT_Outline_::n_contours, FT_Outline_::n_points, FT_Outline_::points, and FT_Outline_::tags.

Referenced by FT_GlyphLoader_CopyPoints().

FT_GlyphLoader_CheckSubGlyphs | ( | FT_GlyphLoader | loader,
|  | FT_UInt | n_subs
| ) |  |

Definition at line 276 of file ftgloadr.c.

References error, FT_Err_Ok, FT_GlyphLoader_Adjust_Subglyphs(), FT_PAD_CEIL, FT_RENEW_ARRAY, FT_GlyphLoadRec_::num_subglyphs, and FT_GlyphLoadRec_::subglyphs.

Referenced by af_loader_load_g(), cff_operator_seac(), t1operator_seac(), and TT_Load_Composite_Glyph().

FT_GlyphLoader_CopyPoints | ( | FT_GlyphLoader | target,
|  | FT_GlyphLoader | source
| ) |  |

Definition at line 360 of file ftgloadr.c.

References FT_Outline_::contours, error, FT_ARRAY_COPY, FT_GlyphLoader_Adjust_Points(), FT_GlyphLoader_CheckPoints(), FT_Outline_::n_contours, FT_Outline_::n_points, FT_Outline_::points, and FT_Outline_::tags.

Referenced by af_loader_load_g().

FT_GlyphLoader_CreateExtra | ( | FT_GlyphLoader | loader | ) |

Definition at line 165 of file ftgloadr.c.

References error, FT_GlyphLoader_Adjust_Points(), and FT_NEW_ARRAY.

Referenced by tt_slot_init().

FT_GlyphLoader_Done | ( | FT_GlyphLoader | loader | ) |

Definition at line 127 of file ftgloadr.c.

References FT_FREE, and FT_GlyphLoader_Reset().

Referenced by af_loader_done(), Destroy_Driver(), FT_Add_Module(), and ft_glyphslot_done().

FT_GlyphLoader_New | ( | FT_Memory | memory,
|  | FT_GlyphLoader * | aloader
| ) |  |

Definition at line 69 of file ftgloadr.c.

References error, FT_NEW, and NULL.

Referenced by af_loader_init(), FT_Add_Module(), and ft_glyphslot_init().

FT_GlyphLoader_Prepare | ( | FT_GlyphLoader | loader | ) |

Definition at line 307 of file ftgloadr.c.

References FT_GlyphLoader_Adjust_Points(), FT_GlyphLoader_Adjust_Subglyphs(), FT_Outline_::n_contours, FT_Outline_::n_points, FT_GlyphLoadRec_::num_subglyphs, and FT_GlyphLoadRec_::outline.

Referenced by cff_operator_seac(), FT_GlyphLoader_Add(), and t1operator_seac().

FT_GlyphLoader_Reset | ( | FT_GlyphLoader | loader | ) |

Definition at line 104 of file ftgloadr.c.

References FT_FREE, FT_GlyphLoader_Rewind(), and NULL.

Referenced by FT_GlyphLoader_Done().

FT_GlyphLoader_Rewind | ( | FT_GlyphLoader | loader | ) |

Definition at line 87 of file ftgloadr.c.

References FT_Outline_::n_contours, FT_Outline_::n_points, FT_GlyphLoadRec_::num_subglyphs, and FT_GlyphLoadRec_::outline.

Referenced by af_loader_load_g(), af_loader_reset(), cff_builder_init(), FT_GlyphLoader_Reset(), pfr_glyph_init(), pfr_glyph_load(), t1_builder_init(), and tt_loader_init().